Page MenuHomePhabricator

[CMake][libc] Don't do CPU feature detection when cross-compiling
ClosedPublic

Authored by phosek on Jan 21 2021, 10:39 PM.

Details

Summary

We won't be able to run the compiled program since it will be compiled
for different system. We instead allow passing the CPU features via
CMake option in that case.

Diff Detail

Event Timeline

phosek created this revision.Jan 21 2021, 10:39 PM
phosek requested review of this revision.Jan 21 2021, 10:39 PM
gchatelet accepted this revision.Jan 25 2021, 4:40 AM
gchatelet added inline comments.
libc/cmake/modules/LLVMLibCCheckCpuFeatures.cmake
17

Thx for fixing this ugly variable name : )

This revision is now accepted and ready to land.Jan 25 2021, 4:40 AM
sivachandra accepted this revision.Jan 25 2021, 9:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 28 2021, 12:54 PM